Bug 201433 - [EWS] Watchlist doesn't work sometimes
Summary: [EWS] Watchlist doesn't work sometimes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aakash Jain
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-09-03 13:16 PDT by Aakash Jain
Modified: 2019-09-10 17:52 PDT (History)
18 users (show)

See Also:


Attachments
Patch (8.11 KB, patch)
2019-09-09 16:34 PDT, Aakash Jain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2019-09-03 13:16:25 PDT
Watchlist doesn't work sometimes. For example https://ews-build.webkit.org/#/builders/21/builds/434 says:
Result of watchlist: cc "calvaris@igalia.com, gns@gnome.org, vjaquez@igalia.com, cgarcia@igalia.com, alexis@webkit.org" messages ""

However those people weren't cc'ed on the corresponding bug https://bugs.webkit.org/show_bug.cgi?id=201399

I believe this issue has been happening for a long time (with old EWS as well), but is more visible in new EWS.
Comment 1 Radar WebKit Bug Importer 2019-09-04 10:58:12 PDT
<rdar://problem/55027571>
Comment 3 Aakash Jain 2019-09-06 11:19:31 PDT
This is because of email addresses which aren't associated with any Bugzilla account. e.g.: in above failure case, alexis@webkit.org isn't associated with bugzilla account, email associated with bugzilla account for that person is menard@kde.org
Comment 5 Aakash Jain 2019-09-09 16:34:41 PDT
Created attachment 378415 [details]
Patch
Comment 6 WebKit Commit Bot 2019-09-09 19:12:16 PDT
Comment on attachment 378415 [details]
Patch

Clearing flags on attachment: 378415

Committed r249687: <https://trac.webkit.org/changeset/249687>
Comment 7 WebKit Commit Bot 2019-09-09 19:12:18 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Takashi Toyoshima 2019-09-10 00:08:42 PDT
Thanks for the fix.

fyi, gmail based mail accounts can use a suffix starting with '+', and mail servers just ignore that suffix parts to receive mails. Some chromium members have used '+watchlist'-like suffix for moving received mails to the preferred folder automatically. But it seems this approach has not worked with bugzilla account checks.

So if you find a foo+bar@chromium.org, just renaming to foo@chromium.org will work, fyi.
Comment 9 Aakash Jain 2019-09-10 17:47:19 PDT
(In reply to Takashi Toyoshima from comment #8)
> Thanks for the fix.
> 
> So if you find a foo+bar@chromium.org, just renaming to foo@chromium.org will work, fyi.
Thanks for the note. I have cleaned up the list in the above commit and now the only email with that pattern is esprehn+autocc@chromium.org. It seems like that user have created a bugzilla account explicitly using esprehn+autocc@chromium.org, and it seems to work with EWS (e.g.: https://bugs.webkit.org/show_activity.cgi?id=201663)
Comment 10 Aakash Jain 2019-09-10 17:52:56 PDT
(In reply to WebKit Commit Bot from comment #6)
> Committed r249687: <https://trac.webkit.org/changeset/249687>

Note that this commit simply fixes the email addresses. This problem can happen again if somebody moves the email associated with Bugzilla account, and not update the email in watchlist.

Long-term fix would be to improve the tooling itself.